# Get Activities by Release and Phase ID

Retrieve all activities for a specific release and phase execution. If no activities exist in the database, it will fetch them from the phase YAML configuration.

Endpoint: GET /rmg/api/orchestration/execution/{releaseId}/phase/{phaseIdentifier}/activities
Version: 1.0
Security: x-api-key

## Path parameters:

  - `releaseId` (string, required)
    The ID of the release

  - `phaseIdentifier` (string, required)
    The identifier of the phase execution

## Query parameters:

  - `phaseExecutionId` (string)
    The ID of the phase execution

  - `status` (array)

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Response 200 fields (application/json):

  - `release_id` (string, required)
    ID of the release

  - `process_execution_id` (string, required)
    ID of the process execution

  - `phase_execution_id` (string, required)
    ID of the phase execution

  - `total_running_activities` (integer, required)
    Total number of currently running activities

  - `activities` (array, required)

  - `activities.identifier` (string, required)
    Identifier of the activity

  - `activities.name` (string, required)
    Name of the activity

  - `activities.description` (string)
    Description of the activity

  - `activities.status` (string, required)
    Status of orchestration execution activities
    Enum: "SCHEDULED", "RUNNING", "OUTPUT_WAITING", "SUCCEEDED", "FAILED", "ABORTED", "ON_HOLD", "RETRIED", "IGNORED", "SKIPPED", "QUEUED"

  - `activities.start_ts` (integer)
    Start timestamp in milliseconds

  - `activities.end_ts` (integer)
    End timestamp in milliseconds

  - `activities.yaml` (string, required)
    YAML configuration of the activity

  - `activities.depends_on` (array, required)
    List of activity identifiers this activity depends on

  - `activities.activity_execution_id` (string)
    ID of the activity execution

  - `activities.retry_index` (integer)
    Retry index of the activity execution

  - `activities.pipeline` (object)
    Pipeline execution information for activities

  - `activities.pipeline.executionId` (string, required)
    ID of the pipeline execution

  - `activities.pipeline.identifier` (string, required)
    Pipeline identifier for PIPELINE type activities in format org/project/pipelineIdentifier

  - `activities.subprocess` (object)
    Subprocess execution information for activities

  - `activities.subprocess.releaseId` (string, required)
    ID of the subprocess release

  - `activities.subprocess.identifier` (string, required)
    Process identifier for SUBPROCESS type activities

  - `activities.failureInfo` (object)
    Information about a failure that occurred

  - `activities.failureInfo.msg` (string, required)
    The failure message describing what went wrong

  - `activities.failureInfo.code` (string)
    The failure code indicating the type of failure

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


